Bug 1123619 - lvm2 needed to make iscsi-initiator-utils reconnect nodes after restart
Summary: lvm2 needed to make iscsi-initiator-utils reconnect nodes after restart
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: iscsi-initiator-utils
Version: 25
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Chris Leech
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-27 10:20 UTC by Martijn Ras
Modified: 2017-12-12 10:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:15:41 UTC


Attachments (Terms of Use)

Description Martijn Ras 2014-07-27 10:20:46 UTC
Description of problem:
It took me the better part of yesterday to figure out that iscsi-initiator-utils
somehow depends on lvm2 to reconnect nodes after restart.

So please add this dependency to to RPM.

Version-Release number of iscsi-initiator-utils work after restartselected component (if applicable): 6.2.0.873-21

How reproducible:
always

Steps to Reproduce:
1. yum remove lvm2 lvm2-libs (if installed)
2. yum install iscsi-initiator-utils
3. configure one or more nodes to startup automatically
4. systemctl start iscsi.service
5. check nodes are mounted
6. restart machines

Actual results:
nodes are not mounted automatically, log contain

Jan 01 03:26:01 <hostname> iscsi-mark-root-nodes[164]: iscsiadm: No active sessions.
Jan 01 03:26:01 <hostname> iscsiadm[177]: iscsiadm: Could not open /var/lock/iscsi: No such file or directory
Jan 01 03:26:01 <hostname> iscsiadm[177]: iscsiadm: Could not open /var/lock/iscsi: No such file or directory
Jan 01 03:26:01 <hostname> iscsiadm[177]: iscsiadm: Could not open /var/lock/iscsi: No such file or directory
Jan 01 03:26:01 <hostname> iscsiadm[177]: iscsiadm: Could not open /var/lock/iscsi: No such file or directory
Jan 01 03:26:01 <hostname> iscsiadm[177]: iscsiadm: No records found
Jan 01 03:26:02 <hostname> systemd[1]: Started Login and scanning of iSCSI devices.


Expected results:
nodes are mounted automatically


Additional info:

Comment 1 Fedora End Of Life 2015-05-29 12:29:18 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-29 21:47:36 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Martijn Ras 2015-09-11 12:15:15 UTC
Just checked this issue still exists in Fedora 22, iscsi-initiator-utils
somehow depends on lvm2 to reconnect nodes after restarting the machine.

The following should be added in the spec file:

Requires: lvm2

Comment 4 Fedora End Of Life 2016-07-19 11:58:21 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Martijn Ras 2017-04-13 16:05:04 UTC
This is still an issue in Fedora 25 ...

Comment 6 Fedora End Of Life 2017-11-16 19:44:39 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2017-12-12 10:15:41 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.